## python-elmax-api 0.0.5

=== requirements.txt ===
pyjwt>=1.7.1
httpx>=0.18.0
yarl>=1.6.3
websockets>=11.0.3

=== docs/requirements.txt ===
sphinx==4.1.2
sphinx-rtd-theme==0.5.2
MarkupSafe==2.0.0

=== debian/changelog ===
python-elmax-api (0.0.5-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 07 Nov 2024 13:38:42 +0000

python-elmax-api (0.0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1086802)

 -- Edward Betts <edward@4angle.com>  Wed, 06 Nov 2024 07:55:13 +0000

=== debian/control ===
Source: python-elmax-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/albertogeniola/elmax-api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-elmax-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-elmax-api.git

Package: python3-elmax-api
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Asynchronous library for interacting with Elmax Cloud services
 This library offers a comprehensive way to interact with Elmax Cloud services,
 focusing on integration with Elmax control panels. It supports operations on
 domotic systems, including managing and monitoring intrusion detection and
 home surveillance setups. Users can control various domotic switches and
 actuators that are linked to Elmax panels. The library communicates with Elmax
 Cloud via HTTP APIs, providing an efficient method for accessing and managing
 online panels and their statuses. Users can execute commands on actuators,
 retrieve statuses, and seamlessly manage their Elmax control panel
 configurations through this client.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=elmax-api
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/requirements.txt

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf elmax_api.egg-info/ docs/_build

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-elmax-api-$1\.tar\.gz/ \
  https://github.com/albertogeniola/elmax-api/tags .*/v?(\d\S+)\.tar\.gz
